#include <iostream>

using namespace std;
int main () {
	int N, M, niz[1000], mat[1000][1000], belo = 0, crno = 0, U = 0;
	cin >> N >> M;
	for (int i = 0; i < N; i++) {
		cin >> niz[i]; 
	}
	for (int i = 0; i < N; i++) {
		for (int l = 0; l < M; l++) {
			if (niz[i] == M) {
				mat[i][l] = 2;
			}
			else {
				if (niz[i] > 0) {
					mat[i][l] = 1;
					niz[i] = niz[i] - 1;
					crno = crno + 1;
					}
				else {
					mat[i][l] = 0;
					belo = belo + 1;
					}
			}
		}
	}
	if (belo > crno) {
		for (int i = 0; i < N; i++) {
		for (int l = 0; l < M; l++) {
			if (mat[i][l] == 2) {
				mat[i][l] = 0;
			}
		}
	}
	}
	else {
		for (int i = 0; i < N; i++) {
		for (int l = 0; l < M; l++) {
			if (mat[i][l] == 2) {
				mat[i][l] = 1;
			}
		}
	}
	}
		for (int i = 0; i < M; i++) {
			belo = 0;
			crno = 0;
		for (int l = 0; l < N; l++) {
			if (mat[l][i] == 0) {
				belo = belo + 1;
			}
			else {
				crno = crno + 1;
			}
		}
		U = U + crno * belo;
	}
	cout << U;
	return 0;
}